"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const utils = require("../../../../../utils/utils.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
const style = require("../../../../../utils/style.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../settings/designSetting.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _withScopeId = (n) => (runtimeCore_esmBundler.pushScopeId("data-v-b07bae32"), n = n(), runtimeCore_esmBundler.popScopeId(), n);
const _hoisted_1 = { class: "go-border-box" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("feMorphology", {
  operator: "dilate",
  radius: "1",
  in: "SourceAlpha",
  result: "thicken"
}, null, -1));
const _hoisted_4 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("feGaussianBlur", {
  in: "thicken",
  stdDeviation: "2",
  result: "blurred"
}, null, -1));
const _hoisted_5 = ["flood-color"];
const _hoisted_6 = ["values"];
const _hoisted_7 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("feComposite", {
  in: "glowColor",
  in2: "blurred",
  operator: "in",
  result: "softGlowColored"
}, null, -1));
const _hoisted_8 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("feMerge", null, [
  /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("feMergeNode", { in: "softGlowColored" }),
  /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("feMergeNode", { in: "SourceGraphic" })
], -1));
const _hoisted_9 = ["fill", "stroke", "d"];
const _hoisted_10 = ["filter", "stroke"];
const _hoisted_11 = ["filter", "stroke", "d"];
const _hoisted_12 = ["filter", "stroke", "d"];
const _hoisted_13 = ["filter", "stroke", "d"];
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const filterId = `border-box-03-filterId-${utils.getUUID()}`;
    const { w, h } = reactivity_esmBundler.toRefs(props.chartConfig.attr);
    const { colors, backgroundColor } = reactivity_esmBundler.toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", _hoisted_1, [
        (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("svg", {
          width: reactivity_esmBundler.unref(w),
          height: reactivity_esmBundler.unref(h)
        }, [
          runtimeCore_esmBundler.createElementVNode("defs", null, [
            runtimeCore_esmBundler.createElementVNode("filter", {
              id: filterId,
              height: "150%",
              width: "150%",
              x: "-25%",
              y: "-25%"
            }, [
              _hoisted_3,
              _hoisted_4,
              runtimeCore_esmBundler.createElementVNode("feFlood", {
                "flood-color": reactivity_esmBundler.unref(style.alpha)(reactivity_esmBundler.unref(colors)[1], 0.7),
                result: "glowColor"
              }, [
                runtimeCore_esmBundler.createElementVNode("animate", {
                  attributeName: "flood-color",
                  values: `
                ${reactivity_esmBundler.unref(style.alpha)(reactivity_esmBundler.unref(colors)[1], 0.7)};
                ${reactivity_esmBundler.unref(style.alpha)(reactivity_esmBundler.unref(colors)[1], 0.3)};
                ${reactivity_esmBundler.unref(style.alpha)(reactivity_esmBundler.unref(colors)[1], 0.7)};
              `,
                  dur: "3s",
                  begin: "0s",
                  repeatCount: "indefinite"
                }, null, 8, _hoisted_6)
              ], 8, _hoisted_5),
              _hoisted_7,
              _hoisted_8
            ])
          ]),
          reactivity_esmBundler.unref(w) && reactivity_esmBundler.unref(h) ? (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("path", {
            key: 0,
            fill: reactivity_esmBundler.unref(backgroundColor),
            "stroke-width": "2",
            stroke: reactivity_esmBundler.unref(colors)[0],
            d: `
          M15 5 L ${reactivity_esmBundler.unref(w) - 15} 5 Q ${reactivity_esmBundler.unref(w) - 5} 5, ${reactivity_esmBundler.unref(w) - 5} 15
          L ${reactivity_esmBundler.unref(w) - 5} ${reactivity_esmBundler.unref(h) - 15} Q ${reactivity_esmBundler.unref(w) - 5} ${reactivity_esmBundler.unref(h) - 5}, ${reactivity_esmBundler.unref(w) - 15} ${reactivity_esmBundler.unref(h) - 5}
          L 15, ${reactivity_esmBundler.unref(h) - 5} Q 5 ${reactivity_esmBundler.unref(h) - 5} 5 ${reactivity_esmBundler.unref(h) - 15} L 5 15
          Q 5 5 15 5
        `
          }, null, 8, _hoisted_9)) : runtimeCore_esmBundler.createCommentVNode("", true),
          runtimeCore_esmBundler.createElementVNode("path", {
            "stroke-width": "2",
            fill: "transparent",
            "stroke-linecap": "round",
            filter: `url(#${filterId})`,
            stroke: reactivity_esmBundler.unref(colors)[1],
            d: `M 20 5 L 15 5 Q 5 5 5 15 L 5 20`
          }, null, 8, _hoisted_10),
          runtimeCore_esmBundler.createElementVNode("path", {
            "stroke-width": "2",
            fill: "transparent",
            "stroke-linecap": "round",
            filter: `url(#${filterId})`,
            stroke: reactivity_esmBundler.unref(colors)[1],
            d: `M ${reactivity_esmBundler.unref(w) - 20} 5 L ${reactivity_esmBundler.unref(w) - 15} 5 Q ${reactivity_esmBundler.unref(w) - 5} 5 ${reactivity_esmBundler.unref(w) - 5} 15 L ${reactivity_esmBundler.unref(w) - 5} 20`
          }, null, 8, _hoisted_11),
          runtimeCore_esmBundler.createElementVNode("path", {
            "stroke-width": "2",
            fill: "transparent",
            "stroke-linecap": "round",
            filter: `url(#${filterId})`,
            stroke: reactivity_esmBundler.unref(colors)[1],
            d: `
          M ${reactivity_esmBundler.unref(w) - 20} ${reactivity_esmBundler.unref(h) - 5} L ${reactivity_esmBundler.unref(w) - 15} ${reactivity_esmBundler.unref(h) - 5}
          Q ${reactivity_esmBundler.unref(w) - 5} ${reactivity_esmBundler.unref(h) - 5} ${reactivity_esmBundler.unref(w) - 5} ${reactivity_esmBundler.unref(h) - 15}
          L ${reactivity_esmBundler.unref(w) - 5} ${reactivity_esmBundler.unref(h) - 20}
        `
          }, null, 8, _hoisted_12),
          runtimeCore_esmBundler.createElementVNode("path", {
            "stroke-width": "2",
            fill: "transparent",
            "stroke-linecap": "round",
            filter: `url(#${filterId})`,
            stroke: reactivity_esmBundler.unref(colors)[1],
            d: `
          M 20 ${reactivity_esmBundler.unref(h) - 5} L 15 ${reactivity_esmBundler.unref(h) - 5}
          Q 5 ${reactivity_esmBundler.unref(h) - 5} 5 ${reactivity_esmBundler.unref(h) - 15}
          L 5 ${reactivity_esmBundler.unref(h) - 20}
        `
          }, null, 8, _hoisted_13)
        ], 8, _hoisted_2))
      ]);
    };
  }
});
exports.default = _sfc_main;
